<?php
    /*
    Copyright 2006 Paul Westbrook (paul@westbrooks.org)
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    */



	include_once( PLOG_CLASS_PATH."class/plugin/pluginbase.class.php" );
	include_once( PLOG_CLASS_PATH."class/plugin/pluginmanager.class.php" );
	include_once( PLOG_CLASS_PATH."class/template/menu/menu.class.php" );


	class PluginLinkcounter extends PluginBase
	{

		var $pluginEnabled;
		
		function PluginLinkcounter()
		{
			$this->PluginBase();

			$this->id      = "linkcounter";
			$this->author  = "Paul Westbrook";
			$this->desc    = "This plugin enables extended Technorati Link Counter Widget.";

			$this->locales = Array( "en_UK");

			$this->init();
		}

		function init()
		{
            $this->registerAdminAction( "linkcounterConfig", "PluginLinkcounterConfigAction" );
			$this->registerAdminAction( "updateLinkcounterConfig", "PluginLinkcounterUpdateConfigAction" );
			
			$menu =& Menu::getMenu();
            if( !$menu->entryExists( "/menu/controlCenter/manageAppearancePlugins" ))                     
                $this->addMenuEntry( "/menu/controlCenter", "manageAppearancePlugins", "", "", true, false );
            $this->addMenuEntry( "/menu/controlCenter/manageAppearancePlugins", "linkcounter", "?op=linkcounterConfig", "" );
		}

		function register()
		{
		    $blogSettings = $this->blogInfo->getSettings();
			$this->pluginEnabled = $blogSettings->getValue( "plugin_linkcounter_enabled" );
		}
		
		
	    function isEnabled()
	    {
	        return $this->pluginEnabled;
	    }
	    

	    function show($postId)
	    {
			$str = '';
	    
            if ($this->isEnabled())
            {
            
                // articles object
                $articles = new Articles;
    
    
                $rg = $this->blogInfo->getBlogRequestGenerator();
				$rg->setXHTML( false );
                $post = $articles->getBlogArticle($postId);
                $str .= '<script src="http://embed.technorati.com/linkcount" type="text/javascript"></script>';
                $str .= '<a href="http://technorati.com/search/' . urlencode($rg->postPermalink($post)) . '" rel="linkcount">View blog reactions</a>';
             }
	    	return $str;
		}
		

	}
?>